Delete an item button from a screen For a local menu or shared menu overriden screen business location should match For a shared button in a shared menu business location should be the main location
DELETE
/items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/screens/{screenId}/items/{itemId}
curl \
--request DELETE 'https://api.trial.lsk.lightspeed.app/items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/screens/{screenId}/items/{itemId}' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (403)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}
Response examples (404)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}
Response examples (500)
{
"status": "BAD_REQUEST",
"timestamp": "2026-05-04T09:42:00Z",
"message": "string",
"errorCode": "ikentoo.error.name.in-use",
"details": "My Item",
"apiSubExceptions": [
{
"field": "string",
"rejectedValue": "string",
"message": "string"
}
]
}